OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.InstancedArrays

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBInstancedArrays :: MonadIO m => m Bool
- gl_ARB_instanced_arrays :: Bool
- pattern GL_VERTEX_ATTRIB_ARRAY_DIVISOR_ARB :: GLenum
- glVertexAttribDivisorARB :: MonadIO m => GLuint -> GLuint -> m ()

# Extension Support

glGetARBInstancedArrays :: MonadIO m => m Bool Source #

Is the ARB_instanced_arrays extension supported?

gl_ARB_instanced_arrays :: Bool Source #

Is the ARB_instanced_arrays extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBInstancedArrays` in those cases instead.

# Enums

pattern GL_VERTEX_ATTRIB_ARRAY_DIVISOR_ARB :: GLenum Source #

# Functions

glVertexAttribDivisorARB Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint | `divisor`.
-> m () |

This command is an alias for `glVertexAttribDivisor`.